# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# NETSize Struct Reference

Simple size class for NET classes. More...

`#include <netwm_def.h>`

List of all members.

## Public Member Functions

| NETSize ()
| Constructor to initialize this size to 0x0.

## Public Attributes

int | width
| Width.
int | height
| Height.

## Detailed Description

Simple size class for NET classes.

This class is a convenience class defining a size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETSize is only used by the NET API. Usually QSize is the appropriate class for representing a size.

Author:
  Bradley T. Hughes <bhughes@trolltech.com>

Definition at line 69 of file netwm_def.h.

## Constructor & Destructor Documentation

NETSize::NETSize | ( |  | ) | `[inline]`

| Constructor to initialize this size to 0x0. Definition at line 73 of file netwm_def.h. References height, and width.

## Member Data Documentation

int NETSize::width

| Width. Definition at line 79 of file netwm_def.h. Referenced by KWin::icon(), KWin::info(), NETSize(), and KWin::setIcons().

int NETSize::height

| Height. Definition at line 79 of file netwm_def.h. Referenced by KWin::icon(), KWin::info(), NETSize(), and KWin::setIcons().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001